# Submit Employment History Verification

{% hint style="warning" %}
Please note that you are required to have a webhook set for employment verification requests to be successful. If they are not set, you will not get notified when the verification has been completed.
{% endhint %}

## Submit Employment History for Verification

<mark style="color:green;">`POST`</mark> `https://vapi.verifyme.ng/v1/verifications/employments`

This endpoint allows you to create employment verification requests

#### Headers

| Name           | Type   | Description          |
| -------------- | ------ | -------------------- |
| Authentication | string | Authentication Token |

#### Request Body

| Name                | Type   | Description                                                |
| ------------------- | ------ | ---------------------------------------------------------- |
| jobTitle            | string | Job title held by the applicant                            |
| contactPersonName   | string | Company's Contact person name                              |
| currentlyEmployed   | array  | Boolean that represents if the applicant still works there |
| employerName        | string | Name of company/employer                                   |
| employerEmail       | string | Email of company/employer                                  |
| employerPhone       | string | Phone Number of company/employer                           |
| startDate           | string | Employment start date                                      |
| endDate             | string | Employment end date                                        |
| applicant.firstname | string | Applicants first name                                      |
| applicant.lastname  | string | Applicants last name                                       |
| applicant.dob       | string | Applicants date of birth ( DD-MM-YYYY )                    |
| applicants.phone    | string | Applicants phone number                                    |
| applicant.idType    | string | Applicants Id type ( "BVN" ,"NIN", "KYC" )                 |
| applicant.idNumber  | string | Applicants Identity Number ("BVN", "NIN", "Phone No")      |

{% tabs %}
{% tab title="201 Guarantor verification created." %}

```
{
    "status": "success",
    "data": {
        "id": 2455,
        "employerName": "verifyme",
        "employerPhone": "08128730170",
        "employerEmail": "deolu.asenuga@gmail.com",
        "startDate": "5/6/2020",
        "endDate": "10/12/2020",
        "title": "software engineer",
        "applicant": {
            "firstname": "John",
            "lastname": "Doe",
            "middlename": " ",
            "phone": "+234812345678",
            "gender": "Male",
            "photo": "<base64 image>"
        },
        "status": {
            "status": "PENDING",
            "subStatus": "PENDING",
            "state": "PENDING"
        },
        "currentlyEmployed": true
    }
}
```

{% endtab %}

{% tab title="401 Unauthorized" %}

```
{
    "status": "error",
    "message": "string",
    "code": "ACCESS_DENIED"
}
```

{% endtab %}
{% endtabs %}

#### Sample Request

{% tabs %}
{% tab title="JSON" %}

```
{
    "applicant": {
        "idType": "NIN",
        "idNumber": "10000000001",
        "firstname": "john",
        "lastname": "doe",
        "dob":"04-04-1944",
        "phone": "08121234567"
    },
    "employerName":"verifyme",
    "employerEmail":"johndoe@gmail.com",
    "employerPhone":"0812345678",
    "startDate":"5/6/2020",
    "endDate":"10/12/2020",
    "jobTitle":"plumber",
    "currentlyEmployed":true,
    "contactPersonName":"james bay"
}
```

{% endtab %}

{% tab title="CURL" %}

```
curl --location --request POST 'https://vapi.verifyme.ng/v1/verifications/employment' \
--header 'Authorization: Bearer <live or test key>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "applicant": {
        "idType": "NIN",
        "idNumber": "10000000001",
        "firstname": "john",
        "lastname": "doe",
        "dob":"04-04-1944",
        "phone": "08121234567"
    },
    "employerName":"verifyme",
    "employerEmail":"johndoe@gmail.com",
    "employerPhone":"0812345678",
    "startDate":"5/6/2020",
    "endDate":"10/12/2020",
    "jobTitle":"plumber",
    "currentlyEmployed":true,
    "contactPersonName":"james bay"
}'
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.verifyme.ng/employment-verification/submit-employment-history-verification.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
